Bug 107337 - libpng relocation error
libpng relocation error
Product: Red Hat Linux
Classification: Retired
Component: libpng (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-16 21:53 EDT by Chris Wells
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-12 17:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Wells 2003-10-16 21:53:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/85.7 (KHTML, like Gecko) Safari/85.5

Description of problem:
When I attempt to run certain guis I get teh following error:

[root@tetsuo root]# redhat-config-users
/usr/bin/python2.2: relocation error: /usr/lib/libpng12.so.0: undefined symbol: inflateInit_

I am still able to run other guis such as "redhat-config-network" just fine.  BUT with certain ones I also get a barrage of errors, ie:

[root@tetsuo root]# redhat-config-httpd

(ApacheConf.py:16929): Gnome-CRITICAL **: file gnome-program.c: line 738 (gnome_program_get_app_id): assertion `program != NULL' failed

(ApacheConf.py:16929): Gnome-CRITICAL **: file gnome-program.c: line 738 (gnome_program_get_app_id): assertion `program != NULL' failed

(ApacheConf.py:16929): Gnome-CRITICAL **: file gnome-program.c: line 738 (gnome_program_get_app_id): assertion `program != NULL' failed

** (ApacheConf.py:16929): WARNING **: could not find handler `on_vhost_type_omenu_selected'

** (ApacheConf.py:16929): WARNING **: could not find handler `on_vhost_type_omenu_selected'

I'm not sure if this is related or not.

I have re-installed libpng from teh RH9 CDs twice now and both times the problem was fixed temporarily, and then went bad again.  I would like to find a solid fix for this.  I'm running RH9 on an x86 with KDE.  Here is my result for locate libpng12.so.0:

[root@tetsuo root]# locate libpng12.so.0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  redhat-config-users

Actual Results:  /usr/bin/python2.2: relocation error: /usr/lib/libpng12.so.0: undefined symbol: inflateInit_

Expected Results:  Open the users GUI

Additional info:
Comment 1 Adam Spiers 2003-11-19 18:53:44 EST
I experienced exactly the same problem recently.  I don't
know what triggered it (the only thing I can think of is
upgrading to the errata glibc) but when I ran ldd on the
versions of libpng12.so. in /usr/lib and /usr/local/lib
I saw that the former was linked to zlib whereas the latter
wasn't.  zlib provides this symbol, so if your ld.so.conf
or LD_LIBRARY_PATH preferred /usr/local/lib it would pick
up a libpng which was missing this symbol.

rpms never install to /usr/local so you must have compiled
libpng-1.2.5 and done a 'make install' yourself, or similar
(I certainly had done).  Hence, removing the /usr/local/lib
version fixed the problem.
Comment 2 Adam Spiers 2003-11-19 18:54:54 EST
I forgot to mention, you should run ldconfig after removing
the /usr/local/lib/libpng12* files.
Comment 3 Matthias Clasen 2004-05-12 17:39:46 EDT
The above comment is correct. libraries in /usr/local/lib must have
been built by yourself, so you have to figure whats wrong with them

Note You need to log in before you can comment on or make changes to this bug.